using System;
using System.Net;

internal sealed class Delegate705 : MulticastDelegate
{
	public extern ICredentials Invoke();

	public static ICredentials smethod_0(Delegate705 delegate705_1)
	{
		return delegate705_1();
	}

	public extern Delegate705(object object_0, IntPtr intptr_0);

	static Delegate705()
	{
		Class10.smethod_13(typeof(Delegate705).TypeHandle);
	}

	internal static Delegate705 delegate705_0;
}
